Bug 19143 - Build dependancy checking done at the wrong time
Build dependancy checking done at the wrong time
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2000-10-15 16:16 EDT by Alan Cox
Modified: 2007-04-18 12:29 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-10-15 16:16:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Alan Cox 2000-10-15 16:16:38 EDT
rpm -bp checks build dependancies which seems silly, since it makes it
unneccessarily annoying to unpack an archive you don't even want to build.
The actual build stage should IMHO do the check/error
Comment 1 Jeff Johnson 2000-10-15 18:52:40 EDT
Add --nodeps if you wish to disable build dependency checking.
Comment 2 Alan Cox 2000-10-18 12:44:23 EDT
Thats the whole issue. Its not 'build dependacy checking' its 'source file
unpack dependancy 
checking' we have implemented

Note You need to log in before you can comment on or make changes to this bug.